@charset "utf-8";


@keyframes ani2 {
    from {
        -webkit-mask-position: 0 0;
        mask-position: 0 0;
    }

    to {
        -webkit-mask-position: 100% 0;
        mask-position: 100% 0;
    }
}

@keyframes rotate {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes breath {
    0% {
        -webkit-transform: scale(0.95);
        -moz-transform: scale(0.95);
        -ms-transform: scale(0.95);
        -o-transform: scale(0.95);
        transform: scale(0.95);
    }

    50% {
        -webkit-transform: scale(1.2);
        -moz-transform: scale(1.2);
        -ms-transform: scale(1.2);
        -o-transform: scale(1.2);
        transform: scale(1.2);
    }

    100% {
        -webkit-transform: scale(0.95);
        -moz-transform: scale(0.95);
        -ms-transform: scale(0.95);
        -o-transform: scale(0.95);
        transform: scale(0.95);
    }
}

@keyframes up-down-1 {
    0% {
        transform: translateY(0%);
    }

    50% {
        transform: translateY(6%);
    }

    100% {
        transform: translateY(0%);
    }
}

@keyframes up-down-2 {
    0% {
        transform: translateY(6%);
    }

    50% {
        transform: translateY(0%);
    }

    100% {
        transform: translateY(6%);
    }
}

/*--.kv_slogan--*/
@keyframes zoom {
    0% {
        opacity: 0;
        transform: scale(10.0, 10.0);
    }

    100% {
        opacity: 1;
        transform: scale(1.0, 1.0);
    }
}

/*--.門派大logo--*/
@keyframes b_logo2 {
    0% {
        opacity: 0;
        filter: brightness(1);
    }

    30% {
        opacity: 1;
        filter: brightness(1.2);
    }

    70% {
        opacity: 1;
        filter: brightness(1.2);
    }

    100% {
        opacity: 0;
        filter: brightness(1);
    }
}


@keyframes fadeIn3 {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes charaBeat {
    0% {
        opacity: 0.8;
        opacity-filter: brightness(1);
        opacity-transform: scale(1);
    }

    50% {
        opacity: 0;
        opacity-filter: brightness(2);
        opacity-transform: scale(1.3);
    }

    100% {
        -webkit-filter: brightness(2);
        filter: brightness(2);
        -webkit-transform: scale(1.3);
        transform: scale(1.3);
        opacity: 0;
    }
}

/*門派石頭*/
@keyframes up-down-3 {
    0% {
        transform: translateY(4%);
    }

    50% {
        transform: translateY(0%);
    }

    100% {
        transform: translateY(4%);
    }
}

@keyframes up-down-4 {
    0% {
        transform: translateY(6%);
    }

    50% {
        transform: translateY(0%);
    }

    100% {
        transform: translateY(6%);
    }
}

/*龍*/
@keyframes up-down-5 {
    0% {
        transform: translateY(2%);
    }

    50% {
        transform: translateY(0%);
    }

    100% {
        transform: translateY(2%);
    }
}

/*動雲*/
@keyframes move-clouds-back {
	0% {
		background-position: 0 0;
	}

	100% {
		background-position: 10000px 0;
	}
}
